[TESTING] Kodi 17 (Krypton) builds for Raspberry Pi (continued)


#1

For Kodi 18 builds see [TESTING] Kodi 18 (Leia) builds for Raspberry Pi

Hi

The previous Raspberry Pi test builds thread has been closed as we have now moved to using an APT repository. This new system allows you to update test builds more easily and ensures that dependencies of the new builds are satisfied properly.

To get these builds, you will need to add @gmc’s Debian repository. This can be by editing /etc/apt/sources.list, and adding the following:

deb http://download.osmc.tv/dev/gmc ./

To install a test build, run the following command to update the apt cache:

sudo apt-get update

And then issue the following command to install a test build for Raspberry Pi 2 or 3:

sudo apt-get install rbp2-mediacenter-osmc

To install a Raspberry Pi 1 or Raspberry Pi Zero build, issue the following command:

sudo apt-get install rbp1-mediacenter-osmc

You can now update to the latest build when it is published with the following commands:

sudo apt-get update
sudo apt-get dist-upgrade

In order to investigate any issues please post a full debug log.

Current Version:

16.8-199, 02 Dec 2016: Based off OSMC commit (b9120ae19) and newclock5 (a1d171f)

Build Highlights:
Temporarily removed peripheral.joystick due to build errors.
kodi-binary-addons: inputstream.adaptive replaces inputstream.mpd and inputstream.smoothstream

Previous Builds:

Archive:
http://kodi.gjmccarthy.co.uk

To install a specific version, run:

sudo apt-get install rbp2-mediacenter-osmc=VERSION

Substituting the version you would like to install above.

Additional Notes:

  • Installing an older build may not always work reliably, as some things may break with old versions that in turn rely on older package versions. This is because versioned dependencies are not fully employed at the time of writing
  • The current repository does not sign test builds. This may cause issues updating via My OSMC. If you are using these test builds, we recommend you disable updates in My OSMC and issue apt-get update && apt-get dist-upgrade if you would like to receive the benefits of monthly updates (new firmware, kernel and userland improvements). These updates won’t overwrite any Krypton (v17 build) until an official, stable v17 build is released as part of an update.
  • To confirm which version you are running, issue the following command:

dpkg -l | grep mediacenter-osmc | awk '{ print $3 }'


[TESTING] Kodi 17 test builds for Raspberry Pi
Downgrade from Krypton Beta
Update Error
Who has a step by step guide for FULL SBS 3D? | Raspberry pi 2 B
OSMC kodi 16
Video stuttering & no sound
CEC problem with Kodi
RPi isn't working with Rapid IPTV streams
OSMC Skin update
[TESTING] Kodi 17 (Krypton) Beta Builds for all platforms
[TESTING] Kodi 17 (Krypton) Beta Builds for all platforms
#2

Sad face here on RPI1
Fresh OSMC install + dist-upgrade on alpha 17 via apt
http://pastebin.com/r8RkyxHJ

ERROR: Unable to load libcec.so.3.0, reason: libcec.so.3.0: cannot open shared object file: No such file or directory

Den


#3

@gmc hasn’t published a new build yet.

This is a placeholder post.


#4

Ah ok :slight_smile:


#5

#6

“Unfortunately” this file is present on my box

osmc@osmc17:~$ locate libcec.so.3.0.1
/usr/osmc/lib/libcec.so.3.0.1

Doing an apt-get update right know I got:

Fetched 9089 kB in 52s (174 kB/s)
W: Failed to fetch gzip:/var/lib/apt/lists/partial/download.osmc.tv_dev_gmc_._Packages.gz Invalid file format

…ok I’ll wait :slight_smile:


#7

It is supposed to exist go to the directory and make a symlink to fix cec

cd /usr/osmc/lib
sudo ln -s libcec.so.3.0.1 libcec.so.3.0


#8

Hi shadow,
correct, sorry my bad I’ve did not pay attention to the version :frowning:

Still sad face anyway

Thx
Den


#9

Tried everything to get this test build to install, but get the error shown on attached image.

Using a Pi2 and this is my sources.list

deb http://ftp.debian.org/debian jessie main contrib non-free

deb http://ftp.debian.org/debian/ jessie-updates main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free

deb http://apt.osmc.tv jessie main

deb http://download.osmc.tv/dev/gmc ./

Hopefully its something ive miss.

any help is appreciated, also like to say v17 is awesome, new skin is fantastic.


#10

Can you try running sudo apt-get update again. I’ve just run it with your source.list and seems ok.
Might have been a glitch with APT.


#11

Yer rebooted and run again without any problems, guessing it was a glitch.

thanks

Loving the latest build, everything seems fine for what im using, accessing the epg is loads faster than the last build, and possibly faster than the current release.
Thanks for the great work.


#12

Hello,
on RP1 I still have sad face, updated now
Here the log
http://pastebin.com/E0UJjR3m
But nothing strange to me

Den


#13

Can you enable debug mode and repost the logs.


#14

Hi,
is there any way to enable debug mode without enter in Kodi? I’m asking this because the sad face goes in loop and I cannot operate at all.


#15

Hi, performed the steps as described by Sam in the very first post but the version I have installed after carrying out all these steps is:
osmc@osmc:~$ dpkg -l | grep mediacenter-osmc | awk '{ print $3 }'
16.8-043

This concerns a RPI2…Have I missed something as I was expecting that version 16.8-044 would have been installed…

Note: This is just a non-urgent question…everything is running very fine with this Krypto release and the new Estuary theme is really a great improvement over Confluence.


#16

You need to edit (or create) advancedsettings.xml
See http://kodi.wiki/view/Log_file/Advanced#Turn_on_debugging_using_a_file_.28advancedsettings.xml.29


#17

Very odd - the new build should be up and upgradable via APT. Can you try

sudo apt-get install rbp2-mediacenter-osmc=16.8-044


#18

Did it and this is the result:
osmc@osmc:~$ sudo apt-get install rbp2-mediacenter-osmc=16.8-044
Reading package lists… Done
Building dependency tree
Reading state information… Done
E: Version ‘16.8-044’ for ‘rbp2-mediacenter-osmc’ was not found

Think I found the problem: the sources.list file doesn’t contain
deb http://download.osmc.tv/dev/gmc ./

Tried to edit the file from WINSCP but I got an access denied error…
Used NANO to edit the file and now it worked:
osmc@osmc:~$ dpkg -l | grep mediacenter-osmc | awk '{ print $3 }'
16.8-044
osmc@osmc:~$

Apologies for bothering you, should have checked the sources.list file before getting to here… :frowning: .


#19

Hi,
sorry if it is a silly question but I rather prefer ask before than correct after :slight_smile:

I am currently running a RPI2 OSMC version 16 (16.0.0-1). I added the source as mentionned in the thread, apt-get done.

Now, when I issue the apt-get -s update, I have :

The following packages will be upgraded:
armv7-libbluray-osmc rbp2-libcec-osmc rbp2-mediacenter-osmc

Will this command make me update to 16.8 version or simply stay in 16.0?

And, as I read that the way to check that update is correct is to check the mediacenter version versus 16.8, is there any impact on addon/skins? I am using the Aeon Nox 5 Silvo and there is a Jarvis and a Krypton version. with the 16.8 and not 17.0, will all addon be able to update/run as intended?

Thanks in advance for your help.
M.


#20

Yes.

Maybe… It is a “testing” build…